Subject: RE: Ecosystems cost of additional specs (RE: [Ipoverib] Please re ad - proposed WG termination)

From: Dror Goldenberg <[email-masked]>
Date: Sat, 3 Sep 2005 09:35:46 +0300

From: Michael Krause [mailto:[email-masked]]
Sent: Saturday, September 03, 2005 1:46 AM

At 12:46 PM 9/2/2005, Dror Goldenberg wrote:

OTOH, if it's really a Good Idea, the choice is not really between a

standard and no IPoIB-CM; it's between a standard and multiple, possibly
incompatible IPoIB-CM variants. Nobody can prevent people from implementing
from the current draft, assigning their own service-ID(?) and just shipping.

[dg] Standards are always better than interoperability issues. And, most of
the ipoib-cm is done so far, so I really see value in completing the
standardization work. There is a really good chance that many systems can
benefit from it.

Somewhat an aside, but it is ironic that standard APIs are often ignored /
deemed "crap" by some even if many systems can benefit from them yet this
spec which is likely to be implemented by a single OS and used only in
perhaps a subset of deployments is deemed worthy. Apologies for the tangent.

Mike  

Luckily ipoib-cm is not an API, it's just a wire protocol. In which case, I
haven't yet heard the "crap" word being said on wire protocol standards :)

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib

---

From: "H.K. Jerry Chu" <[email-masked]>
Date: Wed, 14 Sep 2005 11:03:14 -0700 (PDT)

>On Mon, 12 Sep 2005, H.K. Jerry Chu wrote:
>
>> ...
>> <snip>
>>
>>> In any case, I think the debate has played itself out and the virtual hum
>>> says to proceed.
>>
>> Actually a similar debate and virtual hum already happened a couple of
>> years ago, before the proposal was accepted as a work item for the WG.
>
>There have been other, more recent, agreements/hums too. The connected mode 
>draft became a working group draft late last year/early this year.
>
>> So the debate in the past couple of weeks, although interesting and may
>> even be educational for the late comers, is mostly moot.
>
>Wasn't the query whether the wg should continue and if there was interest 
>in the specification? Why would that make the 'virtual hum' now moot?

It was moot to debate the usefulness of IPoIB-CM because it wouldn't
have been added to the WG charter in late 2002 if it weren't considered
useful by the majority.

We don't need another hum this time. What we need is *enough* people to
make commitment to review and get the work done.

Jerry

>
>>
>> The decision facing the working group now is to either have enough
>> people committed to reviewing and producing a high quality standard,
>> or have the WG disbanded. We will have to decide soon.
>
>I thought the discussion over the last few days was answering the question
>of WG continuance.  In any case, I'm committed to continuing to work on the 
>draft and bringing it to publication.
>
>Vivek
>
>
>>
>> Jerry
>>
>>> So, I'll go quiet unless someone has a specific issue or
>>> wants to continue the debate for some other reason.  Mark me down as not
>>> supporting the hum which is likely just me in this regard.
>>>
>>> Mike
>>
>>